div(ng-include='"components/navbar/navbar.html"')
.container
  .row
    .col-sm-12
      .panel.panel-primary
        .panel-heading
          | User Settings
        .panel-body  
          form.form(name='form', ng-submit='changePassword(form)', novalidate='')
          .form-group
            label Name
            input.form-control(type='name', name='name',ng-value="currentUser.name" , ng-model='user.name', mongoose-error='')
            p.help-block(ng-show='form.name.$error.mongoose')
          .form-group
            label Email Adress
            input.form-control(type='email', name='email',ng-value="currentUser.email" , ng-model='user.email', mongoose-error='')
            p.help-block(ng-show='form.email.$error.mongoose')
          .form-group
            label Current Password
            input.form-control(type='password', name='password', ng-model='user.oldPassword', mongoose-error='')
            p.help-block(ng-show='form.password.$error.mongoose')
              | {{ errors.other }}
          .form-group
            label New Password
            input.form-control(type='password', name='newPassword', ng-model='user.newPassword', ng-minlength='3', required='')
            p.help-block(ng-show='(form.newPassword.$error.minlength || form.newPassword.$error.required) && (form.newPassword.$dirty || submitted)')
              | Password must be at least 3 characters.
          p.help-block  {{ message }}
          button.pull-right.btn.btn-success(type='submit') Save changes
          .clearfix              
          h1 Social Media Accounts
          .row
            .col-md-4
              .well
                a.btn.btn-twitter(ng-if='!currentUser.twitter.id' , href='', ng-click='loginOauth("twitter")')
                  i.fa.fa-twitter
                  |  Link to a Twitter Account
                .account(ng-if="currentUser.twitter.id")
                  img.img-rounded(ng-src="{{currentUser.twitter.profile_image_url_https}}") 
                  &nbsp;
                  | twitter account: 
                  strong {{currentUser.twitter.name}}
                  .clearfix
                  hr
                  a.btn.btn-twitter.pull-right( href='', ng-click='unlinkTwitter()')
                    i.fa.fa-twitter
                    |  Disconnect this twitter account
                  .clearfix
            .col-md-4
              .well
                a.btn.btn-facebook(href='', ng-click='loginOauth("facebook")')
                  i.fa.fa-facebook
                  |  Link to a Facebook Account
            .col-md-4
              .well
                a.btn.btn-google-plus(href='', ng-click='loginOauth("google")')
                  i.fa.fa-google-plus
                  |  Link to a Google+ Account